1

I'm having a weird issue when I install a python library, xgboost, this breaks the update manager.

cd && mkdir xgboost_install && cd xgboost_install && sudo git clone --recursive https://github.com/dmlc/xgboost && cd xgboost && sudo make -j4 && cd python-package && sudo python3.6 setup.py install

This creates a folder called xgboost_install, and clones the xgboost repo, and build and installs the xgboost python module.

However, this breaks the software updater if you tried to use the software updater after the installation.


Full script:

sudo apt-get -y update
sudo apt-get -y install python3.6
sudo apt-get -y install g++
sudo apt-get -y install libfreetype6-dev
sudo apt-get -y install python3.6-dev
curl --silent --show-error --retry 5 https://bootstrap.pypa.io/get-pip.py | sudo python3.6
sudo pip3.6 install -U matplotlib
sudo pip3.6 install -U numpy
sudo pip3.6 install -U scipy
sudo pip3.6 install -U pandas
sudo pip3.6 install -U scikit-learn
sudo pip3.6 install -U lightgbm
sudo pip3.6 install -U plotly
sudo pip3.6 install -U jupyter
sudo pip3.6 install -U seaborn
sudo pip3.5 install -U keras
sudo pip3.6 install -U tensorflow
sudo pip3.6 install -U nltk
sudo pip3.6 install -U pillow
sudo pip3.6 install -U TFLearn
sudo pip3.6 install -U nose
sudo pip3.6 install -U coveralls
sudo apt-get -y install git
sudo pip3.6 install http://download.pytorch.org/whl/cu80/torch-0.1.12.post2-cp36-cp36m-linux_x86_64.whl 
sudo pip3.6 install -U torchvision
cd && mkdir xgboost_install && cd xgboost_install && sudo git clone --recursive https://github.com/dmlc/xgboost && cd xgboost && sudo make -j4 && cd python-package && sudo python3.6 setup.py install
sudo apt-get -y update
sudo apt-get -y upgrade
1

You shouldn't sudo install pip packages. Try running the installation within a Python virtual env or a conda env. And without the sudo. This should work.

| improve this answer | |
  • 1
    Guess that's my only way. I went and check log files, and there are python libraries that got updated, and some or all parts of the software updater uses python libraries that got updated too. – user1157751 Jul 12 '17 at 2:23

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.